package com.nisum.pompagefactory.practice;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Arrays;
import java.util.List;
import java.util.Properties;

public class PropertyValues {
    List<String> results;
    InputStream inputStream;

    public List<String> getPropValues() throws IOException {
        try {
            Properties prop = new Properties();
            String propFileName = "application.properties";

            inputStream = getClass().getClassLoader().getResourceAsStream(propFileName);

            if (inputStream != null) {
                prop.load(inputStream);
            } else {
                throw new FileNotFoundException("property file " + propFileName + " not found");
            }

            String firstname = prop.getProperty("firstname");
            String lastname = prop.getProperty("lastname");
            String email = prop.getProperty("email");
            String password = prop.getProperty("password");
            String phone = prop.getProperty("phone");

            results = Arrays.asList(firstname, lastname, email, password, phone);
        } catch (Exception e) {
            System.out.println("Exception: " + e);
        } finally {
            inputStream.close();
        }

        return results;
    }
}
