package com.nisum.pompagefactory.practice.pages;

import com.nisum.pompagefactory.practice.pages.HomePage;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class AccountSettingsPage {
    WebDriver driver;
    @FindBy(xpath = "//*[@id=\"input-firstName\"]")
    public WebElement accountFirstName;
    @FindBy(xpath = "//*[@id=\"input-lastName\"]")
    public WebElement accountLastName;
    @FindBy(xpath = "//*[@id=\"emailIdaccount\"]")
    public WebElement accountEmail;
    @FindBy(xpath = "//*[@id=\"phoneNumber\"]")
    public WebElement accountPhoneNumber;

    public AccountSettingsPage(WebDriver driver) {
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        PageFactory.initElements(this.driver, this);
    }

    public void goToAccountSettings() {
        WebDriverWait wait = new WebDriverWait(driver, 5);

        // setup
        HomePage home = new HomePage(driver, "https://www.safeway.com/", false);
        wait.until(ExpectedConditions.elementToBeClickable(home.getAccountDropdown()));
        home.getAccountDropdown().click();

        // click account settings button
        wait.until(ExpectedConditions.elementToBeClickable(home.getAccountSettingsButton()));
        home.getAccountSettingsButton().click();
    }
}
