package com.nisum.pompagefactory.practice.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class HomePage {
    WebDriver driver;

    public HomePage(WebDriver driver, String url, Boolean newBrowser) {
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        if (newBrowser){ driver.get(url); }
    }

    public WebElement getMenuNav() { return driver.findElement(By.linkText("Sign In / Up")); }
    public WebElement getSignInButton() { return driver.findElement(By.id("sign-in-modal-link")); }
    public WebElement getAccountDropdown() { return driver.findElement(By.linkText("Account")); }
    public WebElement getAccountSettingsButton() { return driver.findElement(By.xpath("//*[@id=\"menu\"]/div[1]/ul/li[4]/a")); }

    public void navigateToLogin() {
        WebDriverWait wait = new WebDriverWait(driver, 5);

        // click dropdown menu
        wait.until(ExpectedConditions.elementToBeClickable(getMenuNav()));
        getMenuNav().click();

        // click sign in button
        wait.until(ExpectedConditions.elementToBeClickable(getSignInButton()));
        getSignInButton().click();
    }
}
