package com.nisum.pompagefactory.practice.pages;

import com.nisum.pompagefactory.practice.pages.HomePage;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class LoginPage {
    WebDriver driver;
    String url;

    public LoginPage(WebDriver driver, String url, Boolean newBrowser) {
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        if (newBrowser){ driver.get(url); }
    }

    public WebElement getUserEmail() { return driver.findElement(By.id("label-email")); }
    public WebElement getUserPassword() { return driver.findElement(By.id("label-password")); }
    public WebElement getSubmitButton() { return driver.findElement(By.id("btnSignIn")); }

    public void loginUser(WebDriver driver, String url, String username, String password) throws InterruptedException {
        WebDriverWait wait = new WebDriverWait(driver, 5);

        // setup
        HomePage home = new HomePage(driver, url, false);
        home.navigateToLogin();

        // enter credentials
        wait.until(ExpectedConditions.elementToBeClickable(getUserEmail()));
        getUserEmail().sendKeys(username);
        wait.until(ExpectedConditions.elementToBeClickable(getUserPassword()));
        getUserPassword().sendKeys(password);

        // click submit button
        wait.until(ExpectedConditions.elementToBeClickable(getSubmitButton()));
        getSubmitButton().click();
    }

}
