package com.nisum.pompagefactory.practice.tests;

import com.nisum.pompagefactory.practice.pages.AccountSettingsPage;
import com.nisum.pompagefactory.practice.pages.LoginPage;
import com.nisum.pompagefactory.practice.PropertyValues;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.io.IOException;
import java.util.List;

public class TestConfirmAccountDetails {

    @Test
    public void testAccountSettingsInformation() throws InterruptedException, IOException {
        // get application.properties values and set WebDriver properties
        PropertyValues properties = new PropertyValues();
        List<String> props = properties.getPropValues();
        String email = props.get(2);
        String password = props.get(3);
        String firstName = props.get(0);
        String lastName = props.get(1);
        String phoneNumber = props.get(4);

        System.setProperty("webdriver.chrome.driver", "/Users/spangburn/drivers/chromedriver");
        WebDriver driver = new ChromeDriver();
        WebDriverWait wait = new WebDriverWait(driver, 5);

        // login
        LoginPage loginPage = new LoginPage(driver, "https://www.safeway.com/", true);
        loginPage.loginUser(driver,"https://www.safeway.com/", email, password);

        // Navigate to account settings
        AccountSettingsPage accountSettingsPage = new AccountSettingsPage(driver);
        accountSettingsPage.goToAccountSettings();

        // Assert Information is correct
        wait.until(ExpectedConditions.elementToBeClickable(accountSettingsPage.accountFirstName));
        Assertions.assertEquals(firstName, accountSettingsPage.accountFirstName.getAttribute("value"));
        Assertions.assertEquals(lastName, accountSettingsPage.accountLastName.getAttribute("value"));
        Assertions.assertEquals(email, accountSettingsPage.accountEmail.getAttribute("value"));
        Assertions.assertEquals(phoneNumber, accountSettingsPage.accountPhoneNumber.getAttribute("value"));

        driver.quit();
    }

}
